package de.ivu.elect.presentation.gebietsbaum.action;

import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.jee.presentation.action.ActionEntry;

/**
 *  on 20.07.2016.
 */
@Specializes
public class CommonGebietActionMenu extends GebietActionMenu {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient GebietGeometrieAnzeigenAction gebietGeometrieAnzeigenAction;

  @Override
  protected List<ActionEntry<Gebiet>> getActionEntriesSorted() {
    List<ActionEntry<Gebiet>> result = super.getActionEntriesSorted();
    result.add(result.indexOf(gebietDeleteAction), gebietGeometrieAnzeigenAction);
    return result;
  }
}
